Subject: bug#49204: 28.0.50; How to create new file in project by project-find-file

From: Stefan Monnier <[email-masked]>
Date: Mon, 19 Jul 2021 22:58:39 -0400

Dmitry Gutov [2021-07-20 05:15:59] wrote:
> On 19.07.2021 18:20, Juri Linkov wrote:
>> The same way as switch-to-buffer confirms a non-existent buffer with:
>>    C-x b non-existent TAB RET [Confirm]
>
> switch-to-buffer uses read-buffer-to-switch, which delegates to read-buffer,
> a standard function.
>
> read-file-name uses, say, read-file-name-default. Neither delegate to
> a user-provided completion table, though. So we might have to reimplement
> the check-and-prompt interface.

I haven't followed the discussion, so I might be off, but I think what
is described above is something you can get simply by passing the
appropriate value for `mustmatch` to `completing-read` and friends
(including `read-file-name`).

        Stefan